Package Details: ampl-mp 3.1.0-2

Git Clone URL: https://aur.archlinux.org/ampl-mp.git (read-only, click to copy)
Package Base: ampl-mp
Description: An open-source library for mathematical programming
Upstream URL: http://ampl.github.io
Licenses: custom
Submitter: bchretien
Maintainer: None
Last Packager: haawda
Votes: 3
Popularity: 0.000000
First Submitted: 2015-10-08 09:00
Last Updated: 2017-03-04 21:18

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

dani commented on 2020-10-05 04:25

Does this mean that AMPL/MP is not compatible with the latest GCC?

[ 63%] Building CXX object thirdparty/benchmark/src/CMakeFiles/benchmark.dir/benchmark.cc.o
/home/dan/.cache/yay/ampl-mp/src/mp-3.1.0/thirdparty/benchmark/src/benchmark.cc: In copy constructor ‘benchmark::internal::Benchmark::Benchmark(const benchmark::internal::Benchmark&)’:
/home/dan/.cache/yay/ampl-mp/src/mp-3.1.0/thirdparty/benchmark/src/benchmark.cc:525:38: error: implicitly-declared ‘benchmark::internal::BenchmarkImp::BenchmarkImp(const benchmark::internal::BenchmarkImp&)’ is deprecated [-Werror=deprecated-copy]
  525 |   : imp_(new BenchmarkImp(*other.imp_))
      |                                      ^
/home/dan/.cache/yay/ampl-mp/src/mp-3.1.0/thirdparty/benchmark/src/benchmark.cc:320:17: note: because ‘benchmark::internal::BenchmarkImp’ has user-provided ‘benchmark::internal::BenchmarkImp& benchmark::internal::BenchmarkImp::operator=(const benchmark::internal::BenchmarkImp&)’
  320 |   BenchmarkImp& operator=(BenchmarkImp const&);
      |                 ^~~~~~~~
cc1plus: all warnings being treated as errors
make[2]: *** [thirdparty/benchmark/src/CMakeFiles/benchmark.dir/build.make:82: thirdparty/benchmark/src/CMakeFiles/benchmark.dir/benchmark.cc.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:876: thirdparty/benchmark/src/CMakeFiles/benchmark.dir/all] Error 2
make: *** [Makefile:160: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

fagotto commented on 2016-09-13 19:40

Outdated version 2.0.3 gives error while building with gcc-6 but new version 3.1.0 seems to work out of the (I changed only pkgver and sha256sums and it compiled just fine)